Commit 4a064e05 authored by Osamu Aoki's avatar Osamu Aoki

Imported Debian patch 0.5.91-2

parent 97e28c19
......@@ -15,4 +15,12 @@ In order to use ``Pinyin with tone'', you need to set ``use tone'' in scim-setup
launch from system menu). Then you can use Shift-n (n = 1, 2, 3, 4, 5) to
indicate the tone of the pinyin.
----
Bugs
----
Since the skim-scim-pinyin package was not created for squeeze, you can not
configure scim-pinyin from skim under KDE. See http://bugs.debian.org/388749 .
-- Ming Hua <minghua@rice.edu> Sat, 16 Apr 2005 14:21:11 -0500
-- Osamu Aoki <osamu@debian.org> Sat, 11 Dec 2010 18:06:36 +0900
scim-pinyin (0.5.91-2) unstable; urgency=low
* Removed old transitional package: scim-chinese (Closes: #477536)
and made related changes.
* Updated copyright file to use proper GPL-2 instead of GPL.
* Updated control file to update dependencies and VCS entries.
* Updated Standards-Version to 3.9.1.
* Fixed typo in 0.5.91-1.1 in changelog.
* Did not add the skim-scim-pinyin package like Ubuntu due to Debian
freeze etc. Updated README.Debian.
-- Osamu Aoki <osamu@debian.org> Sat, 11 Dec 2010 15:11:54 +0900
scim-pinyin (0.5.91-1.1) unstable; urgency=low
* Non-maintainer upload.
* Explicitely depend on libltdl-dev (Closes: #590412).
* Explicitly depend on libltdl-dev (Closes: #590412).
-- Nico Golde <nion@debian.org> Wed, 04 Aug 2010 13:43:00 +0200
......
......@@ -4,16 +4,15 @@ Priority: optional
Maintainer: Ming Hua <minghua-guest@users.alioth.debian.org>
Uploaders: Osamu Aoki <osamu@debian.org>, Anthony Fok <foka@debian.org>
Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 5.0.0), dpatch, autotools-dev, libgtk2.0-dev, libscim-dev (>= 1.4.6), scim-gtk2-immodule, libltdl-dev
Standards-Version: 3.8.0
Vcs-Svn: svn://svn.debian.org/pkg-ime/scim-pinyin/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-ime/scim-pinyin/trunk/
Standards-Version: 3.9.1
Homepage: http://www.scim-im.org/
Vcs-Git: git://git.debian.org/collab-maint/scim-pinyin.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/scim-pinyin.git
Package: scim-pinyin
Architecture: any
Depends: ${shlibs:Depends}, scim
Recommends: ttf-arphic-uming, ttf-arphic-ukai, im-switch
Replaces: scim-chinese (<< 0.5.0)
Depends: ${shlibs:Depends}, ${misc:Depends}, scim
Recommends: ttf-arphic-uming, ttf-arphic-ukai, im-config | im-switch
Description: smart pinyin IM engine for SCIM platform
SCIM (Smart Common Input Method) is an input method (IM) platform.
.
......@@ -23,10 +22,3 @@ Description: smart pinyin IM engine for SCIM platform
.
For details about SCIM, please see the description of package scim.
Package: scim-chinese
Architecture: all
Depends: scim-pinyin
Description: smart pinyin IM engine for SCIM (transitional package)
This is a dummy package for transition during upgrade. You can safely
remove this package once you have scim-pinyin installed.
......@@ -28,5 +28,5 @@ Copyright:
USA.
On Debian systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL'.
Public License can be found in `/usr/share/common-licenses/GPL-2'.
#!/bin/sh
set -e
# Clean up old conffile
# (using the example from http://wiki.debian.org/DpkgConffileHandling)
OLDCONFFILE="/etc/gconf/schemas/scim-chinese.schemas"
case "$1" in
"install" | "upgrade" )
if dpkg --compare-versions "$2" lt-nl "0.5.0"; then
if [ -e "$OLDCONFFILE" ]; then
MD5SUM=`md5sum "$OLDCONFFILE" | sed -e "s/ .*//"`
OLDMD5SUM=`dpkg-query -W -f '${Conffiles}' scim-chinese | sed -n -e "\\' $OLDCONFFILE'{s/obsolete$//;s/.* //;p}"`
if [ "$MD5SUM" = "$OLDMD5SUM" ]; then
echo -n "Removing obsolete conffile $OLDCONFFILE"
rm -f "$OLDCONFFILE"
echo "."
else
echo "Obselete conffile $OLDCONFFILE has been locally modified."
echo -n "Saving as $OLDCONFFILE.dpkg-bak"
mv -f "$OLDCONFFILE" "$OLDCONFFILE.dpkg-bak"
echo "."
fi
fi
fi
esac
# There shouldn't be anything added by debhelper, this is just to
# satisfy lintian.
#DEBHELPER#
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment